package errors

import "fmt"

// ExpectedCLIParameter error is created when a command line parameter is missing.
type ExpectedCLIParameter struct {
	Parameter string
}

// Error generates the string representation.
func (err *ExpectedCLIParameter) Error() string {
	return fmt.Sprintf("Expected parameter '%s'", err.Parameter)
}
